> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hub Document blocks for page

> Retrieves a sorted list of all Hub Document Blocks on a specified page in the hub document, excluding items. Blocks are hierarchically organized by their `parent_id`. Blocks are sorted in order based on user specification in the user interface. The response will only include content blocks that belong to the specified page. This will not include sub pages or sub page content blocks.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json GET /hub_document_blocks
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /hub_document_blocks:
    get:
      tags:
        - Box Hub Document
      summary: List Hub Document blocks for page
      description: >-
        Retrieves a sorted list of all Hub Document Blocks on a specified page
        in the hub document, excluding items. Blocks are hierarchically
        organized by their `parent_id`. Blocks are sorted in order based on user
        specification in the user interface. The response will only include
        content blocks that belong to the specified page. This will not include
        sub pages or sub page content blocks.
      operationId: get_hub_document_blocks_v2025.0
      parameters:
        - name: hub_id
          in: query
          description: >-
            The unique identifier that represent a hub.


            The ID for any hub can be determined by visiting this hub in the web
            application and copying the ID from the URL. For example, for the
            URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.
          required: true
          schema:
            type: string
          example: '12345'
        - name: page_id
          in: query
          description: The unique identifier of a page within the Box Hub.
          required: true
          schema:
            type: string
          example: d97f7c26-0d9b-42a1-a00d-6e6db9619e0f
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: >-
            Returns a Hub Document Blocks response whose `entries` array
            contains all content blocks of the specified page, except for items.
            To retrieve items, use the `GET /hub_items` endpoint.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HubDocumentBlocks'
              examples:
                blocks:
                  summary: Blocks for a page
                  value:
                    entries:
                      - id: c9588f08-22d7-4d17-8ca9-f1e61c98c0bd
                        type: section_title
                        parent_id: d97f7c26-0d9b-42a1-a00d-6e6db9619e0f
                        fragment: This is the section title
                      - id: 721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e
                        type: item_list
                        parent_id: d97f7c26-0d9b-42a1-a00d-6e6db9619e0f
                    type: document_blocks
                    limit: 1000
                    next_marker: null
        '401':
          description: >-
            Returned when the access token provided in the Authorization header
            is not recognized or not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returned if the hub or page is not found, or the user does not have
            access to the Box Hub.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: List Hub Document blocks for page
          source: >-
            await
            client.HubDocument.GetHubDocumentBlocksV2025R0Async(queryParams: new
            GetHubDocumentBlocksV2025R0QueryParams(hubId: hubId, pageId:
            pageId));
        - lang: swift
          label: List Hub Document blocks for page
          source: >-
            try await
            client.hubDocument.getHubDocumentBlocksV2025R0(queryParams:
            GetHubDocumentBlocksV2025R0QueryParams(hubId: hubId, pageId:
            pageId))
        - lang: java
          label: List Hub Document blocks for page
          source: >-
            client.getHubDocument().getHubDocumentBlocksV2025R0(new
            GetHubDocumentBlocksV2025R0QueryParams(hubId, pageId))
        - lang: node
          label: List Hub Document blocks for page
          source: |-
            await client.hubDocument.getHubDocumentBlocksV2025R0({
              hubId: hubId,
              pageId: pageId,
            } satisfies GetHubDocumentBlocksV2025R0QueryParams);
        - lang: python
          label: List Hub Document blocks for page
          source: >-
            client.hub_document.get_hub_document_blocks_v2025_r0(hub_id,
            page_id)
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    HubDocumentBlocks:
      description: A list of Hub Document blocks.
      type: object
      allOf:
        - type: object
          required:
            - entries
            - type
          properties:
            entries:
              description: Ordered list of blocks.
              type: array
              items:
                $ref: '#/components/schemas/HubDocumentBlockEntry'
            type:
              description: The value will always be `document_blocks`.
              type: string
              example: document_blocks
              enum:
                - document_blocks
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
      title: Box Hub Document Blocks
      x-box-resource-id: hub_document_blocks_v2025.0
      x-box-tag: hub_document
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    HubDocumentBlockEntry:
      description: >-
        A single block in a Hub Document Blocks list. Text-bearing block types
        (`paragraph`, `section_title`, `callout_box`) include a `fragment`
        property with rich text content.
      oneOf:
        - $ref: '#/components/schemas/HubParagraphTextBlock'
        - $ref: '#/components/schemas/HubSectionTitleTextBlock'
        - $ref: '#/components/schemas/HubCalloutBoxTextBlock'
        - $ref: '#/components/schemas/HubItemListBlock'
        - $ref: '#/components/schemas/HubDividerBlock'
      title: Box Hub Document Block Entry
    HubParagraphTextBlock:
      description: A paragraph block in the Box Hub Document.
      type: object
      allOf:
        - $ref: '#/components/schemas/HubDocumentBlock'
        - properties:
            type:
              description: The type of this block. The value is always `paragraph`.
              type: string
              example: paragraph
              enum:
                - paragraph
            fragment:
              description: Text content of the block. Includes rich text formatting.
              type: string
              example: This is the paragraph
      required:
        - id
        - type
        - fragment
      title: Box Hub Paragraph Text Block
      x-box-resource-id: hub_paragraph_text_block_v2025.0
      x-box-tag: hub_document
    HubSectionTitleTextBlock:
      description: A section title block in the Box Hub Document.
      type: object
      allOf:
        - $ref: '#/components/schemas/HubDocumentBlock'
        - properties:
            type:
              description: The type of this block. The value is always `section_title`.
              type: string
              example: section_title
              enum:
                - section_title
            fragment:
              description: Text content of the block. Includes rich text formatting.
              type: string
              example: This is the section title
      required:
        - id
        - type
        - fragment
      title: Box Hub Section Title Text Block
      x-box-resource-id: hub_section_title_text_block_v2025.0
      x-box-tag: hub_document
    HubCalloutBoxTextBlock:
      description: A callout box block in the Box Hub Document.
      type: object
      allOf:
        - $ref: '#/components/schemas/HubDocumentBlock'
        - properties:
            type:
              description: The type of this block. The value is always `callout_box`.
              type: string
              example: callout_box
              enum:
                - callout_box
            fragment:
              description: Text content of the block. Includes rich text formatting.
              type: string
              example: This is the callout box
      required:
        - id
        - type
        - fragment
      title: Box Hub Callout Box Text Block
      x-box-resource-id: hub_callout_box_text_block_v2025.0
      x-box-tag: hub_document
    HubItemListBlock:
      description: An item list block in the Box Hub Document.
      type: object
      allOf:
        - $ref: '#/components/schemas/HubDocumentBlock'
        - properties:
            type:
              description: The type of this block. The value is always `item_list`.
              type: string
              example: item_list
              enum:
                - item_list
      required:
        - id
        - type
      title: Box Hub Item List Block
      x-box-resource-id: hub_item_list_block_v2025.0
      x-box-tag: hub_document
    HubDividerBlock:
      description: A divider block in the Box Hub Document.
      type: object
      allOf:
        - $ref: '#/components/schemas/HubDocumentBlock'
        - properties:
            type:
              description: The type of this block. The value is always `divider`.
              type: string
              example: divider
              enum:
                - divider
      required:
        - id
        - type
      title: Box Hub Divider Block
      x-box-resource-id: hub_divider_block_v2025.0
      x-box-tag: hub_document
    HubDocumentBlock:
      description: Base block in the Box Hub Document.
      type: object
      properties:
        id:
          description: The unique identifier for this block.
          type: string
          example: c9588f08-22d7-4d17-8ca9-f1e61c98c0bd
        parent_id:
          description: >-
            The unique identifier of the parent block. Null for direct children
            of the page.
          type: string
          example: d97f7c26-0d9b-42a1-a00d-6e6db9619e0f
          nullable: true
      required:
        - id
      title: Box Hub Document Block
      x-box-tag: hub_document
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````